Macro Funzione 2D

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Macro Draw 2D Function and the translation is 100% complete.

Funzione 2D

Descrizione
Si usa per disegnare una funzione descritta da una equazione z=F(x) (piano Z-X)

Versione macro: 1.0
Ultima modifica: 2011-08-01
Versione FreeCAD: Tutte versione
Download: Icona per la ToolBar
Autore: ignoto
Autore
ignoto
Download
Icona per la ToolBar
Link
Versione macro
1.0
Data ultima modifica
2011-08-01
Versioni di FreeCAD
Tutte versione
Scorciatoia
Nessuna
Vedere anche
Nessuno

Description

Si usa per disegnare una funzione descritta da una equazione [z=F(x)] (piano ZX). Questo esempio genera una parabola.

Elementi da definire:

F=variable utilizzata nella funzione,
X=Valore iniziale di x,
Nb= Numero di passi,
Z=Funzione espressa con x
ZZ=Funzione espressa con xx

Script

ToolBar Icon

Macro_Draw_2D_Function.FCMacro

# F = variable used in the function,
# X = initial value of x,
# Nb = Number of step,
# Z = function express with x
# ZZ = function express with xx

import FreeCAD, FreeCADGui, Part
import math
F=800
X=-500
Nb=10
Step=1000/Nb
Y=0
for I in range(Nb):
	XX=X+Step 
 	Z=X*X/(4*F)
 	ZZ=XX*XX/(4*F)
 	if I==0:
 		print( "Le test est vrai !")
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
 		WWire=Part.Wire([nomme])
 	else :
 		print( "Le test est 2 !")
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))		
 		WWire=Part.Wire([WWire,nomme])
 	X=XX 
 
Part.show(WWire)